import { default as React } from 'react';

/**
 * Modal types enumeration.
 */
export declare enum ModalType {
    INFO = "info",
    SUCCESS = "success",
    WARNING = "warning",
    ERROR = "error",
    NONE = "none"
}
/**
 * Icon for each modal type.
 */
export declare const ModalTypeIcon: Record<ModalType, React.ReactElement>;
